The Community Forums

Interact with an entire community of cPanel & WHM users!
  1. This site uses cookies. By continuing to use this site, you are agreeing to our use of cookies. Learn More.

EasyApache 4

Discussion in 'Discusión en Español' started by ksgalicia, Aug 4, 2016.

Tags:
  1. ksgalicia

    ksgalicia Member

    Joined:
    Aug 4, 2016
    Messages:
    21
    Likes Received:
    3
    Trophy Points:
    3
    Location:
    Spain
    cPanel Access Level:
    Root Administrator
    Twitter:
    Buenos días:

    Soy nuevo en este foro, me gustaría plantearos una consulta acerca de EasyApache:

    Según tengo entendido que, al actualizar a la versión del servidor WHM 11.58.0.12 se procede la instalación de EasyApache 4 pero no es así puesto que aún se mantiene la versión Easy Apache v3.34.3.

    ¿A qué es debido? ¿Aún no es estable? ¿Sigue teniendo fallos?

    Muchas gracias :)
     
  2. cPanelMichael

    cPanelMichael Forums Analyst
    Staff Member

    Joined:
    Apr 11, 2011
    Messages:
    30,854
    Likes Received:
    675
    Trophy Points:
    113
    cPanel Access Level:
    Root Administrator
    Hello,

    The system is not automatically converted to EasyApache 4 unless it's a new installation of cPanel version 58. This allows administrators to convert to EasyApache 4 on their own by following the instructions at:

    How to Install or Uninstall EasyApache 4 - EasyApache 4 - cPanel Documentation

    Let us know if you have any questions about the conversion process.

    Thanks!

    Translation:

    Hola,

    El sistema no se convierte automáticamente en EasyApache 4 a menos que sea una nueva instalación de cPanel versión 58. Esto permite a los administradores para convertir a EasyApache 4 por su cuenta siguiendo las instrucciones en:

    How to Install or Uninstall EasyApache 4 - EasyApache 4 - cPanel Documentation

    Háganos saber si usted tiene alguna pregunta sobre el proceso de conversión.

    ¡Gracias!
     
  3. ksgalicia

    ksgalicia Member

    Joined:
    Aug 4, 2016
    Messages:
    21
    Likes Received:
    3
    Trophy Points:
    3
    Location:
    Spain
    cPanel Access Level:
    Root Administrator
    Twitter:
    Buenos días!

    Muchas gracias por la respuesta cPanelMichael!

    Leyendo el enlace que me pasas, el servidor tiene instalado el Apache 2.2 con PHP 5.4 (perfil ** DEFAULT **) con cual si quiero actualizar a la última versión de EasyApache primero tengo que actualizar el Apache a la versión 2.4 (seleccionando el perfil "Basic Apache 2.4" pero también me aparece con actualización de PHP a 5.6) y luego instalar, de forma manual, EasyApache 4... ¿Correcto?

    Me gustaría saber qué problemas pueden surgir o afectar al funcionamiento del servidor después de aplicar dicha actualización... ¿Merece la pena actualizarlo?

    Muchas gracias de antemano,

    Un saludo!
     
  4. JoseDieguez

    JoseDieguez Registered

    Joined:
    Jan 26, 2016
    Messages:
    4
    Likes Received:
    0
    Trophy Points:
    1
    Location:
    Chile
    cPanel Access Level:
    Root Administrator
    No es obligatorio actualizar Apache, PHP o EasyApache,

    Sin embargo, si es recomendado usar APache 2.4, y versiones PHP fuera de EOL (End of Life).
    EasyApache 4, me parece que ya es estable, y mucha gente lo usa sin problemas, te recomendaría, si te interesa actualizar a EA4, hacerlo con tiempo disponible, para solucionar cualquier problema que pueda aparecer.

    Saludos
     
  5. cPanelMichael

    cPanelMichael Forums Analyst
    Staff Member

    Joined:
    Apr 11, 2011
    Messages:
    30,854
    Likes Received:
    675
    Trophy Points:
    113
    cPanel Access Level:
    Root Administrator
    Hello,

    EasyApache 4 is well-tested at this point. I encourage you to upgrade at your earliest convenience once you have verified your scripts are compatible with Apache 2.4. We're happy to help you troubleshoot any issues that arise after the conversion.

    Thank you.

    Translation:

    Hola,

    EasyApache 4 es bien probado en este punto. Os animo a actualizar a la brevedad posible una vez que haya verificado las secuencias de comandos son compatibles con Apache 2.4. Estamos encantados de ayudarle a solucionar cualquier problema que surja después de la conversión.

    Gracias.
     
  6. ksgalicia

    ksgalicia Member

    Joined:
    Aug 4, 2016
    Messages:
    21
    Likes Received:
    3
    Trophy Points:
    3
    Location:
    Spain
    cPanel Access Level:
    Root Administrator
    Twitter:
    Muchas gracias por vuestras respuestas.

    La razón que me gustaría actualizar a EA4 es la funcionalidad de MultiPHP puesto que no todas las webs y aplicaciones funcionan en una misma versión de PHP.
     
    cPanelMichael likes this.
  7. cPanelMichael

    cPanelMichael Forums Analyst
    Staff Member

    Joined:
    Apr 11, 2011
    Messages:
    30,854
    Likes Received:
    675
    Trophy Points:
    113
    cPanel Access Level:
    Root Administrator
    Let us know if you have any additional questions.

    Thanks!

    Translation:

    Háganos saber si usted tiene alguna pregunta adicional.

    ¡Gracias!
     
  8. ksgalicia

    ksgalicia Member

    Joined:
    Aug 4, 2016
    Messages:
    21
    Likes Received:
    3
    Trophy Points:
    3
    Location:
    Spain
    cPanel Access Level:
    Root Administrator
    Twitter:
    Espero no tener problemas a la hora de actualizar a EA4 (programado para actualizar esta semana), mi plan es el siguiente:

    1º Actualizar la versión de Apache a la versión Apache 2.4.23 desde EA3.
    2º Actualizar, de forma manual bajo comando, a EA4.

    Una pregunta, la versión actual de PHP es 5.4.45 pero al actualizar el EA4 ¿Se instala las versiones 5.5.38, 5.6.24 y 7.0.8?

    Muchas gracias de antemano.
     
  9. cPanelMichael

    cPanelMichael Forums Analyst
    Staff Member

    Joined:
    Apr 11, 2011
    Messages:
    30,854
    Likes Received:
    675
    Trophy Points:
    113
    cPanel Access Level:
    Root Administrator
    Hello,

    The EasyApache 4 Change Log is updated when the minor versions of PHP are updated. Here's a list of the requested version information as of today:

    Code:
    # /opt/cpanel/ea-php55/root/usr/bin/php -v
    PHP 5.5.38 (cli) (built: Jul 25 2016 16:40:09)
    
    # /opt/cpanel/ea-php56/root/usr/bin/php -v
    PHP 5.6.24 (cli) (built: Jul 25 2016 12:36:37)
    
    # /opt/cpanel/ea-php70/root/usr/bin/php -v
    PHP 7.0.9 (cli) (built: Jul 25 2016 14:58:51) ( NTS )
    Thank you.

    Translation:

    Hola,

    El EasyApache 4 Cambio de registro se actualiza cuando se actualizan las versiones menores de PHP. He aquí una lista de la información de la versión solicitada a partir de hoy:

    Code:
    # /opt/cpanel/ea-php55/root/usr/bin/php -v
    PHP 5.5.38 (cli) (built: Jul 25 2016 16:40:09)
    
    # /opt/cpanel/ea-php56/root/usr/bin/php -v
    PHP 5.6.24 (cli) (built: Jul 25 2016 12:36:37)
    
    # /opt/cpanel/ea-php70/root/usr/bin/php -v
    PHP 7.0.9 (cli) (built: Jul 25 2016 14:58:51) ( NTS )
    Gracias.
     
  10. ksgalicia

    ksgalicia Member

    Joined:
    Aug 4, 2016
    Messages:
    21
    Likes Received:
    3
    Trophy Points:
    3
    Location:
    Spain
    cPanel Access Level:
    Root Administrator
    Twitter:
    Hola!

    Aún no actualicé la versión de EasyApache. Está pendiente de actualizar, de forma manual, el Apache a 2.4 (actualmente 2.2) pero se me surge la duda si lo actualizo desde EasyApache 3 no debería haber problemas de configuración o incompatibilidad, ¿No?

    Gracias!
     
  11. cPanelMichael

    cPanelMichael Forums Analyst
    Staff Member

    Joined:
    Apr 11, 2011
    Messages:
    30,854
    Likes Received:
    675
    Trophy Points:
    113
    cPanel Access Level:
    Root Administrator
    Hello,

    The following document lists the current issues you may face with updating to EasyApache 4:

    Current Status of EasyApache 4 - EasyApache 4 - cPanel Documentation

    Let us know if this helps.

    Thank you.

    Translation:

    Hola,

    El siguiente documento contiene los problemas actuales que se puede encontrar con la actualización de EasyApache 4:

    Current Status of EasyApache 4 - EasyApache 4 - cPanel Documentation

    Haznos saber si esto te ayudó.

    Gracias.
     
  12. ksgalicia

    ksgalicia Member

    Joined:
    Aug 4, 2016
    Messages:
    21
    Likes Received:
    3
    Trophy Points:
    3
    Location:
    Spain
    cPanel Access Level:
    Root Administrator
    Twitter:
    Hola!

    Ok, me refería a la configuración en sí de Apache. Por ejemplo, el tema de la configuración para los certificados SSL de los dominios (SSL Cipher Suite, SSL/TLS Protocols , etc...) no habría ningún problema para la nueva versión 2.4?

    Gracias!
     
  13. cPanelMichael

    cPanelMichael Forums Analyst
    Staff Member

    Joined:
    Apr 11, 2011
    Messages:
    30,854
    Likes Received:
    675
    Trophy Points:
    113
    cPanel Access Level:
    Root Administrator
    Yes, the same functionality of Apache 2.4 is included, so you shouldn't experience any issues.

    Thanks!

    Translation:

    Sí, todos de la misma funcionalidad de Apache 2.4 está incluido, por lo que no debería tener ningún problema.

    ¡Gracias!
     
  14. ksgalicia

    ksgalicia Member

    Joined:
    Aug 4, 2016
    Messages:
    21
    Likes Received:
    3
    Trophy Points:
    3
    Location:
    Spain
    cPanel Access Level:
    Root Administrator
    Twitter:
    Por fin hice la migración a EasyApache 4 aunque hubo unos errores que ya están solventados gracias al equipo de analistas de cPanel ;-)
     
    cPanelMichael likes this.
  15. cPanelMichael

    cPanelMichael Forums Analyst
    Staff Member

    Joined:
    Apr 11, 2011
    Messages:
    30,854
    Likes Received:
    675
    Trophy Points:
    113
    cPanel Access Level:
    Root Administrator
    I'm happy to see you were able to migrate over to EasyApache 4. Thank you for updating us with the outcome.

    Translation:

    Estoy feliz de ver que fueron capaces de migrar hacia EasyApache 4. Gracias por la actualización de nosotros con el resultado.
     
Loading...

Share This Page